Name:		trousers-changer
Version:	4.0.1
Release:	1%{?dist}
Summary:    	tcsd wrapper for portable installations
Requires:	trousers tpm-tools systemd tpm-extra >= 4.0.0
Requires(post):	systemd
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:	%{name}-%{version}.tar.gz

%description
tcsd wrapper for portable installations.

%prep
%setup -q

%install
cp -r sbin $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib
cp -r systemd $RPM_BUILD_ROOT/usr/lib

%files
/sbin/tpm_id
/sbin/tcsd_changer_identify
/sbin/tcsd_changer_migrate
/usr/lib/systemd/system/tcsd.service.d/trousers-changer.conf

%post
systemctl daemon-reload

%postun
if [ "$1" = 0 ]; then
    systemctl daemon-reload
fi

%changelog
* Mon Jan 06 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-trousers-changer.git

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c527836
- travis: switch to fc31 dom0

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3e5b099
- travis: switch to bionic

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2634ac5
- travis: switch to xenial and Qubes R4.1

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ba9d3d1
- Create .spec.in

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6bedfb2
- Initial commit from qubes-antievilmaid repo

